declare module "windows.graphics.display" {
  export enum DisplayOrientations {
    none,
    landscape,
    portrait,
    landscapeFlipped,
    portraitFlipped,
  }

  export enum ResolutionScale {
    invalid,
    scale100Percent,
    scale120Percent,
    scale140Percent,
    scale150Percent,
    scale160Percent,
    scale180Percent,
    scale225Percent,
  }

  export class DisplayInformation {
    static autoRotationPreferences: DisplayOrientations;
    currentOrientation: DisplayOrientations;
    logicalDpi: Number;
    nativeOrientation: DisplayOrientations;
    rawDpiX: Number;
    rawDpiY: Number;
    resolutionScale: ResolutionScale;
    stereoEnabled: Boolean;
    constructor();

    static getForCurrentView(): DisplayInformation;


    getColorProfileAsync(callback: (error: Error, result: Object) => void): void ;

    addListener(type: "ColorProfileChanged", listener: (ev: Event) => void): void ;
    removeListener(type: "ColorProfileChanged", listener: (ev: Event) => void): void ;
    on(type: "ColorProfileChanged", listener: (ev: Event) => void): void ;
    off(type: "ColorProfileChanged", listener: (ev: Event) => void): void ;
    
    addListener(type: "DpiChanged", listener: (ev: Event) => void): void ;
    removeListener(type: "DpiChanged", listener: (ev: Event) => void): void ;
    on(type: "DpiChanged", listener: (ev: Event) => void): void ;
    off(type: "DpiChanged", listener: (ev: Event) => void): void ;
    
    addListener(type: "OrientationChanged", listener: (ev: Event) => void): void ;
    removeListener(type: "OrientationChanged", listener: (ev: Event) => void): void ;
    on(type: "OrientationChanged", listener: (ev: Event) => void): void ;
    off(type: "OrientationChanged", listener: (ev: Event) => void): void ;
    
    addListener(type: "StereoEnabledChanged", listener: (ev: Event) => void): void ;
    removeListener(type: "StereoEnabledChanged", listener: (ev: Event) => void): void ;
    on(type: "StereoEnabledChanged", listener: (ev: Event) => void): void ;
    off(type: "StereoEnabledChanged", listener: (ev: Event) => void): void ;
    
    addListener(type: "DisplayContentsInvalidated", listener: (ev: Event) => void): void ;
    removeListener(type: "DisplayContentsInvalidated", listener: (ev: Event) => void): void ;
    on(type: "DisplayContentsInvalidated", listener: (ev: Event) => void): void ;
    off(type: "DisplayContentsInvalidated", listener: (ev: Event) => void): void ;
    
    addListener(type: string, listener: (ev: Event) => void): void ;
    removeListener(type: string, listener: (ev: Event) => void): void ;
    on(type: string, listener: (ev: Event) => void): void ;
    off(type: string, listener: (ev: Event) => void): void ;
    

  }

  export class DisplayProperties {
    static autoRotationPreferences: DisplayOrientations;
    static currentOrientation: DisplayOrientations;
    static logicalDpi: Number;
    static nativeOrientation: DisplayOrientations;
    static resolutionScale: ResolutionScale;
    static stereoEnabled: Boolean;
    constructor();

    static getColorProfileAsync(callback: (error: Error, result: Object) => void): void ;


    addListener(type: "ColorProfileChanged", listener: (ev: Event) => void): void ;
    removeListener(type: "ColorProfileChanged", listener: (ev: Event) => void): void ;
    on(type: "ColorProfileChanged", listener: (ev: Event) => void): void ;
    off(type: "ColorProfileChanged", listener: (ev: Event) => void): void ;
    
    addListener(type: "DisplayContentsInvalidated", listener: (ev: Event) => void): void ;
    removeListener(type: "DisplayContentsInvalidated", listener: (ev: Event) => void): void ;
    on(type: "DisplayContentsInvalidated", listener: (ev: Event) => void): void ;
    off(type: "DisplayContentsInvalidated", listener: (ev: Event) => void): void ;
    
    addListener(type: "LogicalDpiChanged", listener: (ev: Event) => void): void ;
    removeListener(type: "LogicalDpiChanged", listener: (ev: Event) => void): void ;
    on(type: "LogicalDpiChanged", listener: (ev: Event) => void): void ;
    off(type: "LogicalDpiChanged", listener: (ev: Event) => void): void ;
    
    addListener(type: "OrientationChanged", listener: (ev: Event) => void): void ;
    removeListener(type: "OrientationChanged", listener: (ev: Event) => void): void ;
    on(type: "OrientationChanged", listener: (ev: Event) => void): void ;
    off(type: "OrientationChanged", listener: (ev: Event) => void): void ;
    
    addListener(type: "StereoEnabledChanged", listener: (ev: Event) => void): void ;
    removeListener(type: "StereoEnabledChanged", listener: (ev: Event) => void): void ;
    on(type: "StereoEnabledChanged", listener: (ev: Event) => void): void ;
    off(type: "StereoEnabledChanged", listener: (ev: Event) => void): void ;
    
    addListener(type: string, listener: (ev: Event) => void): void ;
    removeListener(type: string, listener: (ev: Event) => void): void ;
    on(type: string, listener: (ev: Event) => void): void ;
    off(type: string, listener: (ev: Event) => void): void ;
    

  }

}



